app_controller = ae.ARApplicationController:shared_instance()
app_controller:require('./scripts/include.lua')
app = AR:create_application(AppType.ImageTrack, 'bear')
app:load_scene_from_json('res/main.json','demo_scene')
scene = app:get_current_scene()

app.on_loading_finish = function()
    EDLOG('资源包加载完成后回调,相当于主函数')
    app.device:open_imu(1)
    
    scene.progressBar:set_visible(true)
    
    scene.on_batch_load_progress_update = function(id, progress)
        ARLOG("on_batch_load_progress_update")
    	onBatchLoadProgressUpdate(id,progress)
    end
    scene.on_batch_load_finish = function(id ,ret)
        onBatchLoadFinish(id,ret)
    end
    scene:load_batch(1)
    
end

BatchLoader.user_confirm_download = function(batch_id)
    if (batch_id == 'batch1') then
        scene:load_batch(1)
    end
end

function onBatchLoadFinish(id, ret)

    if (id == 1 and ret == -1) then
        BatchLoader.send_download_retry_msg()
        return
    end

    if (id == 1 and ret == 0) then
        batch_one_finish = true
        ARLOG('加载完成')
         scene.progressBar:set_visible(false)
         scene.bear:set_visible(true)
         scene.bear.on_click = function()
           scene.moxing1:set_visible(true)
	     end

    end
end
function onBatchLoadProgressUpdate(id, progress)
 --   io.write("onBatchLoadProgressUpdate ".. id .." "..progress)

    if (id == 1) then
        updateprogress_1(progress)
    end
end
function updateprogress_1(progress)
    -- 更新进度条
    local pathProgress = "res/framePicture/10001409/"..tostring(progress)..".png"
    scene.progressBar:replace_texture(pathProgress, "uDiffuseTexture")
end














